/*
 * AlfanumericoLongitudCaracteresEspEspacionInicioFinIncorrecta.java
 *
 * Created on 21 de marzo de 2007, 12:06 AM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package com.fidufosyga.rules;

/**
 * 
 * @author Julian
 */

public class AlfanumericoLongitudCaracteresEspEspacionInicioFinIncorrectaOpcional
		extends AbstractRule {


	public boolean performValidation(String field, String registro[],
			String nombreArchivo) {

		String Campo = "";
		Campo = registro[new Integer((String) getParams()[0]).intValue()];
		// System.out.println("fieldh: " + field);
		// System.out.println("fieldh: " + field.length());

		if (field.length() == 0 && Campo.length() > 0) {
			return true;
		}

		if (field.length() > 0 && Campo.length() == 0) {
			return true;
		}

		return false;

	}

}
